# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Rad.pm) perl(App/Rad/Tester.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.1.7
%define module_name App-Rad-Plugin-Daemonize
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.7
Release: alt1
Summary: >run;
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/F/FC/FCO/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
If you reached here you probably know Rad, but if  you don't, please take a quick look on App::Rad, it is the basis for this plugin, that helps you
to make daemons very quickly.

# TODO : get the example simpler than that (not passing configuration parameters and with sample code more simple 

Let us show you the first test daemon :

	#!/usr/bin/perl
	use App::Rad qw/Daemonize/;
	App::Rad->run;

	sub setup {
	   my $c = shift;
	   $c->daemonize(\&test, use_cmd_args => 1, stderr_logfile => "./test_err.log", stdout_logfile => "./test_out.log")
	}
	sub test {
	   while(sleep 1){
	      print "OUT: ", $count++, $/;
	      print { STDERR } "ERR: ", $count, $/;
	      warn "WARN: ", $count++, $/;
	   }
	}

That's it!! We have our first example

As you see, you have to care with the infinite repetition structure on your sub, it's just write the sub and daemonize it.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.7-alt1
- initial import by package builder

